AxisClient (Axis API)
Keywords: org.apache.axis.client.AxisClient,AxisClient class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class AxisClient

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.AxisEngine
                  |
                  +--org.apache.axis.client.AxisClient

All Implemented Interfaces:
  Handler, java.io.Serializable

public class AxisClient
extends AxisEngine

Provides the equivalent of an "Axis engine" on the client side. Subclasses hardcode initialization & setup logic for particular client-side transports.

Author:
  Rob Jellinghaus (robj@unrealities.com), Doug Davis (dug@us.ibm.com), Glen Daniels (gdaniels@allaire.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.AxisEngine
`_hasSafePassword, classCache, config, DEFAULT_ATTACHMENT_IMPL, ENV_ATTACHMENT_DIR, ENV_SERVLET_CONTEXT, ENV_SERVLET_REALPATH, PROP_ATTACHMENT_CLEANUP, PROP_ATTACHMENT_DIR, PROP_ATTACHMENT_IMPLEMENTATION, PROP_DEBUG_FILE, PROP_DEBUG_LEVEL, PROP_DEFAULT_CONFIG_CLASS, PROP_DOMULTIREFS, PROP_PASSWORD, PROP_SEND_MINIMIZED_ELEMENTS, PROP_SEND_XSI, PROP_SOAP_ALLOWED_VERSION, PROP_SOAP_VERSION, PROP_SYNC_CONFIG, PROP_TWOD_ARRAY_ENCODING, PROP_XML_DECL, shouldSaveConfig`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`AxisClient()`
`AxisClient(EngineConfiguration config)`

Method Summary
`AxisEngine` | `getClientEngine()` this *is* the client engine!
`void` | `invoke(MessageContext msgContext)` Main routine of the AXIS engine.
`protected void` | `invokeJAXRPCHandlers(MessageContext context)`

Methods inherited from class org.apache.axis.AxisEngine
`addActorURI, cleanup, getActorURIs, getApplicationSession, getClassCache, getConfig, getCurrentMessageContext, getGlobalRequest, getGlobalResponse, getHandler, getService, getTransport, getTypeMappingRegistry, hasSafePassword, init, normaliseOptions, refreshGlobalOptions, removeActorURI, saveConfiguration, setAdminPassword, setCurrentMessageContext, setShouldSaveConfig`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### AxisClient

    public AxisClient(EngineConfiguration config)

### AxisClient

    public AxisClient()

Method Detail

### getClientEngine

    public AxisEngine getClientEngine()

  this *is* the client engine!

  Specified by:
    `getClientEngine` in class `AxisEngine`

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Main routine of the AXIS engine. In short we locate the appropriate handler for the desired service and invoke() it.

  Specified by:
    `invoke` in interface `Handler`
  Specified by:
    `invoke` in class `BasicHandler`
    `AxisFault`

### invokeJAXRPCHandlers

    protected void invokeJAXRPCHandlers(MessageContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.